Rapid7 Vulnerability & Exploit Database

HP-UX: CVE-2006-5558: Running Software Distributor Local Elevation of Privilege

Back to Search

HP-UX: CVE-2006-5558: Running Software Distributor Local Elevation of Privilege

Severity
10
CVSS
(AV:N/AC:L/Au:N/C:C/I:C/A:C)
Published
10/27/2006
Created
07/25/2018
Added
08/11/2017
Modified
09/12/2017

Description

Format string vulnerability in the swask command in HP-UX B.11.11 and possibly other versions allows local users to execute arbitrary code via format string specifiers in the -s argument. NOTE: this might be a duplicate of CVE-2006-2574, but the details relating to CVE-2006-2574 are too vague to be certain.

Solution(s)

  • hpux-apply-phco-34539
  • hpux-apply-phco-34568
  • hpux-apply-phco-34814
  • hpux-update-sw-dist-sd-cmds

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;